# Racines carrées

## Rappel

\\[
	\sqrt{x} = y \\iff y^2 = x (\land x \geq 0)\\\\
	ex: \sqrt{4} = 2
\\]

## Remarques

- Si \\(x < 0\\), alors \\(\sqrt{x}\\) n'éxiste pas.

- \\(dom(\sqrt{}) = \\{x \in \mathbb{R} \vert \sqrt{x} \text{ existe}\\} \subseteq [0, +\infty[\\)

## Visuellement

- Si \\(a \geq 0\\)
	- \\(\sqrt{x} \leq a \\iff 0 \leq x \leq a^2\\)
- Si \\(a < 0\\)
	-  \\(\sqrt{x} \leq a\\) n'est satisfaite pour aucuns \\(x \in [0, +\infty[\\)

## Algébriquement

- Si \\(a \geq 0\\)
	- \\(\sqrt{x} \leq a \\implies f(\sqrt{x}) \leq f(a)\\)

- Si \\(a < 0\\)
	-  \\(\sqrt{x} \leq a\\) n'est satisfaite pour aucuns \\(x \in [0, +\infty[\\)

## Défintions

- On dit qu'une fonction est **croisante** ssi
\\[
	\forall a, b \in dom(f) \quad a\leq b \implies f(a) \leq f(b)
\\]
- On dit qu'une fonction est **décroisante**
\\[
	\forall a, b \in dom(f) \quad a\leq b \implies f(a) \geq f(b)
\\]

Ces définitions peuvent être restraintes sur un autre ensemble plus petit que \\(dom(f)\\).\
On dit que \\(f \nearrow\\) (est croissant) sur \\(A \subseteq dom(f) \iff \forall a, b \in A \quad a \leq b \implies f(a) \leq f(b)\\)\
Pareil pour la décroissance (\\(\searrow\\))

